* {
  margin: 0px;
  padding: 0px;
}
html,
body {
  position: relative;
}

body {
  overflow-y: auto;
  min-height: 100vh;
}
textarea:focus,
input:focus {
  outline: none;
}
a {
  color: inherit !important;
  text-decoration: none !important;
}

footer {
  background: #f1f1f1;
  width: 100%;
  padding: 16px 0px;
  color: #999;
  vertical-align: bottom;
  margin-top: 40px;
  text-align: center;
  /* width: 100%; */
  /* height: 2.5rem;   */
}

.banner {
  height: 500px;
  width: 100%;
  background: #999;
  margin: 20px 0px;
}

.content {
  padding: 20px 0px;
  /* display: flex; */
  /* flex-wrap: wrap; */
}

/* ================================== */
/* Layout page CSS */
/* ================================== */
.card{
  overflow: hidden;
}


.tile {
  /* TODO: MODULE_CARDS */
  /* 1. Fill in the required properties. */
  color: white;
 
}
.tile img {
  height: 100%;
  z-index:1;
  
  /* TODO: MODULE_CARDS */
  /* 1. Fill in the required properties. */
}

.tile img:hover {
    filter: brightness(50%); 
    transform: scale(1.05);
    transition: transform 0.4s ease-out;
}
 
  /* TODO: MODULE_CARDS */
  /* 1. Fill in the required properties. */


/* Hint: Notice the position:absolute and z-index properties. */
/* Think about how those in relation to the existing "tile" classes. */
.tile-text {
  position: absolute;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 2px;
  z-index:2;
}

.hero-image {
  /* Use "linear-gradient" to add a darken background effect to the image (photographer.jpg). This will make the text easier to read */
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("/assets/hero.jpg");
    height: 50vh;
   width: 100%;
   background-size: 100% 100%;
   
    /* TODO: MODULE_LAYOUT */
  /* 1. Set a specific height. */
  /* 2. Position and center the image to scale nicely on all screens. */
}

.hero-subheading {
  font-size: 24px;
  font-weight: 100;
}
.hero-input {
  width:90%;
  height: 50px;
  padding: 16px;
  border-radius: 8px;
  border: none;
}

.nav-link {
  margin-right: 36px;
}

/* ================================== */
/* Adventures grid page CSS */
/* ================================== */

.adventure-card {
width: 100%;

  /* TODO: MODULE_ADVENTURES_GRID */
  /* 1. Fill in the required properties. */
}
.adventure-card img 
 {
  height: 40vh;  
 
  /* TODO: MODULE_ADVENTURES_GRID */
  /* 1. Fill in the required properties. */
}
.adventure-card img:hover {
  filter: brightness(50%); 
 transition: 0.2s all;
  /* TODO: MODULE_ADVENTURES_GRID */
  /* 1. Fill in the required properties. */
}
.v {
  width:fit-content;
  height: fit-content;
  border: 0.016rem solid lightgray;
   padding-left:3px;
   padding-right: 3px;;

}
.adventure-card-text{
  text-transform: capitalize;
  font-family:-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif
}

/* ================================== */
/* Adventure details page CSS */
/* ================================== */

.adventure-detail-card {

border: 0.016rem solid lightgray;
padding-top:5px;
padding-bottom: 5px;


  /* TODO: MODULE_ADVENTURE_DETAILS */
  /* 1. Fill in the required properties. */


}
.adventure-card-image {
  width: 100%;
  height: 100%;
  border-radius:3px;
  object-fit: cover;

  /* TODO: MODULE_ADVENTURE_DETAILS */
  /* 1. Fill in the required properties. */
}


.adventure-card-image:hover {
  filter: brightness(70%);
  transition: 0.2s all;
  /* TODO: MODULE_ADVENTURE_DETAILS */
  /* 1. Fill in the required properties. */
}
.sold-out-panel-parent{
  position: relative;
}
.sold-out-panel{
  position:sticky;
  top:10px;
  height: fit-content;
}

@media (min-width:250px) and (max-width:576px)
{
 .whole-content
  {
    margin-left: 5px !important;
    margin-right: 5px !important;
      /* TODO: MODULE_ADVENTURE_DETAILS */
      /* 1. Fill in the required properties. */ 
    
    }
}

  
@media only screen and (min-width: 768px) {
  /* For desktops phones: */
  #reservation {
    width: 400px;
    position: fixed;
  }
}

@media (min-width:250px) and (max-width:991px)
{
  .v{
    width: 100% !important;
    border: 0px !important;
  }
  .sold-out-panel
  {
    margin-top: 5px !important;
    width:100% !important;
    border: 0.016rem solid lightgray !important;
  }
}
